Pro readLut, fname_lut, RM, gCoef, ngb, nth0, nth, nphi, gb_lut, th0_lut, th_lut, phi_lut
;i=fname_lut
;o=RM, gCoef, ngb, nth0, nth, nphi, gb_lut, th0_lut, phi_lut
    openr, inlun, fname_lut, ERROR=error, /get_lun
    IF error NE 0 then begin
       ;free_lun, inlun
       print, fname_lut, ' open error' & return
    ENDIF
    print, fname_lut, " loaded for modeling Rrs" ;MODIFIED AT HOME
    sbuf=''
    readf, inlun, sbuf
    tokens=strsplit(sbuf, '=', /extract)
    if(stregex(tokens(1), 'type', /fold_case,/boolean)) then RM=strtrim(tokens(0),2) $
    else return;
    ;print, RM;
    readf, inlun, sbuf
    tokens=strsplit(sbuf, '=', /extract)
    if(stregex(tokens(1), 'gb', /fold_case,/boolean)) then begin
        res=strsplit(tokens(0),count=ngb,/extract)

        if ngb ne 8 then return
        gb_lut=fltarr(ngb)
        for i=0, ngb-1 do gb_lut[i]=float(strtrim(res[i],1))
    endif else return;
    readf, inlun, sbuf
    tokens=strsplit(sbuf, '=', /extract)
    if(stregex(tokens(1), 'th0', /fold_case,/boolean)) then begin
        res=strsplit(tokens(0),count=nth0,/extract)
        if nth0 ne 7 then return
        th0_lut=fltarr(nth0)
        for i=0, nth0-1 do th0_lut[i]=float(strtrim(res[i],1))
    endif else return;
    readf, inlun, sbuf
    tokens=strsplit(sbuf, '=', /extract)
    if(stregex(tokens(1), 'th', /fold_case,/boolean)) then begin
        res=strsplit(tokens(0),count=nth,/extract)
        if nth ne 10 then return
        th_lut=fltarr(nth)
        for i=0, nth-1 do th_lut[i]=float(strtrim(res[i],1))
    endif else return;
    readf, inlun, sbuf
    tokens=strsplit(sbuf, '=', /extract)
    if(stregex(tokens(1), 'dphi', /fold_case,/boolean)) then begin
        res=strsplit(tokens(0),count=nphi,/extract)
        if nphi ne 13 then return
        phi_lut=fltarr(nphi)
        for i=0, nphi-1 do phi_lut[i]=float(strtrim(res[i],1))
    endif else return;
    gCoef=fltarr(4,ngb, nphi, nth, nth0)
    gCoeftmp=fltarr(4,ngb)
    for ith0=0, nth0-1 do begin
       for ith=0, nth-1 do begin
         for iphi=0, nphi-1 do begin
          readf, inlun, sbuf
          ;print, sbuf
          readf, inlun, gCoeftmp
          gCoef(*,*,iphi, ith, ith0)=gCoeftmp
         endfor
       endfor
    endfor
    free_lun, inlun
End